Package fr.gouv.vitam.collect.internal.core.common

# Class TransactionModel

java.lang.Object
fr.gouv.vitam.collect.internal.core.common.TransactionModel

public class TransactionModel extends Object
Transaction model

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TransactionModel()`
  `TransactionModel(String id, String name, ManifestContext manifestContext, TransactionStatus status, String projectId, String creationDate, String lastUpdate, Integer tenant, Boolean automaticIngest)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `equals(Object o)`
  `Boolean`
  `getAutomaticIngest()`
  `List<Batch>`
  `getBatches()`
  `String`
  `getCreationDate()`
  `String`
  `getId()`
  `String`
  `getLastUpdate()`
  `ManifestContext`
  `getManifestContext()`
  `String`
  `getName()`
  `String`
  `getProjectId()`
  `TransactionStatus`
  `getStatus()`
  `Integer`
  `getTenant()`
  `int`
  `getVersion()`
  `String`
  `getVitamOperationId()`
  `int`
  `hashCode()`
  `TransactionModel`
  `setAutomaticIngest(Boolean automaticIngest)`
  `TransactionModel`
  `setBatches(List<Batch> batches)`
  `TransactionModel`
  `setCreationDate(String creationDate)`
  `TransactionModel`
  `setId(String id)`
  `TransactionModel`
  `setLastUpdate(String lastUpdate)`
  `TransactionModel`
  `setManifestContext(ManifestContext manifestContext)`
  `TransactionModel`
  `setName(String name)`
  `TransactionModel`
  `setProjectId(String projectId)`
  `TransactionModel`
  `setStatus(TransactionStatus status)`
  `TransactionModel`
  `setTenant(Integer tenant)`
  `TransactionModel`
  `setVersion(Integer version)`
  `TransactionModel`
  `setVitamOperationId(String vitamOperationId)`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TransactionModel

    public TransactionModel()

  - ### TransactionModel

    public TransactionModel(String id, String name, ManifestContext manifestContext, TransactionStatus status, String projectId, String creationDate, String lastUpdate, Integer tenant, Boolean automaticIngest)

- ## Method Details

  - ### getId

    public String getId()

  - ### setId

    public TransactionModel setId(String id)

  - ### getName

    public String getName()

  - ### setName

    public TransactionModel setName(String name)

  - ### getManifestContext

    public ManifestContext getManifestContext()

  - ### setManifestContext

    public TransactionModel setManifestContext(ManifestContext manifestContext)

  - ### getStatus

    public TransactionStatus getStatus()

  - ### setStatus

    public TransactionModel setStatus(TransactionStatus status)

  - ### getCreationDate

    public String getCreationDate()

  - ### setCreationDate

    public TransactionModel setCreationDate(String creationDate)

  - ### getLastUpdate

    public String getLastUpdate()

  - ### setLastUpdate

    public TransactionModel setLastUpdate(String lastUpdate)

  - ### getProjectId

    public String getProjectId()

  - ### setProjectId

    public TransactionModel setProjectId(String projectId)

  - ### getVitamOperationId

    public String getVitamOperationId()

  - ### setVitamOperationId

    public TransactionModel setVitamOperationId(String vitamOperationId)

  - ### getTenant

    public Integer getTenant()

  - ### setTenant

    public TransactionModel setTenant(Integer tenant)

  - ### getAutomaticIngest

    public Boolean getAutomaticIngest()

  - ### setAutomaticIngest

    public TransactionModel setAutomaticIngest(Boolean automaticIngest)

  - ### getBatches

    public List<Batch> getBatches()

  - ### setBatches

    public TransactionModel setBatches(List<Batch> batches)

  - ### getVersion

    public int getVersion()

  - ### setVersion

    public TransactionModel setVersion(Integer version)

  - ### equals

    public boolean equals(Object o)
    Overrides:
      `equals` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`